// ---------------------------------------
// This file contains all styles related to the button component.
// ---------------------------------------
button {
  border: none;
  cursor: pointer;

}

@include sj-button(primary, $color-primary-light, $color-primary-dark);
@include sj-button(success, $color-success-light, $color-success-dark);
@include sj-button(danger, $color-danger-light, $color-danger-dark);

.btn-remove {
  &:hover {
    color: $color-danger;
  }
}

.btn-custom {
  display: inline-block;
  border-width: 2px;
  line-height: 1;
  text-decoration: none;
  cursor: pointer;
  transition: $base-transition;
  user-select: none;
  padding: .7rem .6rem;
  font-size: $font-size-sm;
  font-family: $font-primary;
  font-weight: 600;

  &:focus,
  &:hover,
  &:active {
    outline: 0;
    text-decoration: none;
  }

  /******** Button variants ********/

  // Default button
  &-default,
  &-default:focus {
    background: none;
    color: $color-text;
    border-style: solid;
    border-color: $color-border;

    &:hover {
      color: $color-primary-light;
      border-color: $color-border-highligted;
    }

    &:active {
      color: $color-primary-dark;
      background-color: $color-bg;
      border-color: $color-border-highligted;
    }
  }

  // Primary button
  &-primary {
    background-color: $color-primary;
    border-color: $color-primary;

    &:hover {
      background-color: $color-primary-light;
    }

    &:active {
      background-color: $color-primary-dark;
    }
  }

  // Secondary button
  &-success {
    background-color: $color-success;
    border-color: $color-success;

    &:hover {
      background-color: $color-success-light;
    }

    &:active {
      background-color: $color-success-dark;
    }
  }

  // Danger button
  &-danger {
    background-color: $color-danger;
    border-color: $color-danger;

    &:hover {
      background-color: $color-danger-light;
    }

    &:active {
      background-color: $color-danger-dark;
    }
  }

  // Warning button
  &-info {
    background-color: $color-info;
    border-color: $color-info;

    &:hover {
      background-color: $color-info-light;
    }

    &:active {
      background-color: $color-info;
    }
  }

  // Border button
  &-border {
    background-color: white;
    border: 1px solid $color-border;

    &:hover {
      background-color: white;
      color: $color-primary-light;
      border: 1px solid $color-border-highligted
    }

    &:active {
      background-color: $color-bg;
      color: $color-primary-dark;
    }
  }

    // Add button
  &-add {
    background-color: white;
    border: 1px solid $color-border;
    color: $color-success;

    &:hover {
      background-color: white;
      color: $color-success-light;
      border: 1px solid $color-border-highligted
    }

    &:active {
      background-color: $color-bg;
      color: $color-success-dark;
    }
  }

    &-edit {
      padding: 10px 10px;
      svg{
        width:15px;
      }

  }

  /******** Button sizes ********/

  &-small {
    font-size: 1em;
    padding: 12px;
    border-width: 1px;
  }
}

/******** Button components ********/

.btn-checkbox {
  input[type="checkbox"] {
    position: absolute;
    left: -9999px;

    &:checked {

      & + .btn {
        color: #FFF;

        &:before {
          border-color: #FFF !important;
          transform: scale(0);
        }

        &-primary {
          border-color: $color-primary-dark;
          background-color: $color-primary-dark;
        }

        &-success {
          border-color: $color-success-dark;
          background-color: $color-success-dark;
        }

        &-info {
          border-color: $color-info;
          background-color: $color-info;
        }

        .icon {
          transform: scale(1);
        }
      }
    }
  }

  .btn {
    padding: 16px 18px;
    border-style: solid;
    background-color: transparent;
    position: relative;

    &:before {
      content: "";
      display: inline-block;
      margin-right: .5rem;
      background-color: #FFF;
      width: 1rem;
      height: 1rem;
      border-radius: 100%;
      border-width: 1px;
      border-style: solid;
      transition: $base-transition;
    }

    &:hover,
    &:active {
      color: #FFF !important;

      &:before {
        border-color: #FFF !important;
      }
    }

    .icon {
      display: inline-block;
      width: .9em;
      position: absolute;
      top: .9em;
      left: .9em;
      transform: scale(0);
      transition: $base-transition;

      svg {
        fill: #FFF
      }
    }

    &-primary {
      color: $color-primary;

      &:before {
        border-color: $color-primary;
      }

      &:hover {
        border-color: $color-primary-light;
        background-color: $color-primary-light;
      }
    }

    &-success {
      color: $color-success;

      &:before {
        border-color: $color-success;
      }

      &:hover {
        border-color: $color-success-light;
        background-color: $color-success-light;
      }
    }

    &-info {
      color: $color-info;

      &:before {
        border-color: $color-info;
      }

      &:hover {
        border-color: $color-info-light;
        background-color: $color-info-light;
      }
    }
  }
}

.btn-icon {
  display: flex;
  align-items: center;
  padding: .45em .5em;

  i {
    font-size: 1.5em;
  }
}
